Index: trunk/client/temi/Futura2/function_theme.php
===================================================================
--- trunk/client/temi/Futura2/function_theme.php	(revision 264)
+++ trunk/client/temi/Futura2/function_theme.php	(revision 265)
@@ -916,23 +1023,31 @@
 		echo "<center>"._VOTANTI." "._ALLE." "._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</center></li>";
                
-  		$res1 = mysql_query("SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data' and orario='$orario' $circos group by t3.id_gruppo", $dbi);                                                                                                                             
-list($numero)=mysql_fetch_row($res1);	
-
-		
-		$res1 = mysql_query("select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ",$dbi);
+  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data' and orario='$orario' $circos group by t3.id_gruppo";                                                                                                                             
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+list($numero)=$res1->fetch(PDO::FETCH_NUM);	
+
+		
+		$sql="select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 
 		
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
                 	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
 		
                 	if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+                	
+					$res_aff = $dbi->prepare("$query");
+					$res_aff->execute();
+					$voti_numero=$res_aff->rowCount();
                 	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos";
 
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+                	
+					$res1234 = $dbi->prepare("$query");
+					$res1234->execute();
+                	list($tot)=$res1234->rowCount();
                 	
                 	$perc=number_format($voti_t*100/$tot,2);
@@ -997,5 +1112,5 @@
 
 function affluenza_unica(){
-global $db,$circo,$prefix,$id_cons,$genere,$id_circ,$id_comune,$id_cons_gen;
+global $dbi,$circo,$prefix,$id_cons,$genere,$id_circ,$id_comune,$id_cons_gen;
 
 if (isset($circo) and $circo) $circos="and t2.id_circ='$id_circ'";
@@ -1004,11 +1119,15 @@
 // numero sezioni scrutinate
 
-		$res2 = $db->sql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons'");
-		$sezioni=$db->sql_numrows($res2);
-
-    $res = $db->sql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1");
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons'";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	$sezioni=$res2->rowCount();
+
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
     if($res){
 
-        while(list($orario,$data) = $db->sql_fetchrow($res)) {
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -1016,6 +1135,8 @@
 	
 
-  		$res1 = $db->sql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario'   group by t3.id_sez ");
-		$numero=$db->sql_numrows($res1);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario'   group by t3.id_sez ";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();
+		$numero=$res1->rowCount();
 	
 		echo "<div style=\"text-align:center;\">Ultime Affluenze<br/>";
@@ -1025,23 +1146,28 @@
     
                                                                                                                                       
-$res1 = $db->sql_query("select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ");		
+$sql="select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ";		
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
 		
 		
                                                                                                                              
-                while(list($voti_t, $num_gruppo,$id_gruppo) = $db->sql_fetchrow($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
 			$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=$db->sql_query($query);
-			$voti_numero=$db->sql_numrows($res_aff);
+             if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
+                	
+			$res_aff = $dbi->prepare("$query");
+			$res_aff->execute();
+			$voti_numero=$res_aff->rowCount();
               	
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' ";	
-
-	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede ";
+#			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' ";	
+
+			$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede ";
 			
 			//if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
 			$tot='';
-                	$res1234=$db->sql_query($query);
-                	list($tot)=$db->sql_fetchrow($res1234);
+			$res1234 = $dbi->prepare("$query");
+			$res1234->execute();
+            list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if (isset($tot)){$perc=number_format($voti_t*100/$tot,2);}
 			else{$tot=0;$perc="0.00";}
@@ -1089,8 +1215,12 @@
 if ($genere==0) $tab="ref";
 
-  	$res = $db->sql_query("select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ");
-	$numero=$db->sql_numrows($res);
-	$res = $db->sql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos");
-	$sezioni=$db->sql_numrows($res);
+  	$sql="select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$numero=$res->rowCount();
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$sezioni=$res->rowCount();
 	
 	if ($numero!=0){
@@ -1105,20 +1235,28 @@
 	if ($genere!=0) {
 
-	$res = $db->sql_query("select sum(t1.maschi+t1.femmine)   from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos");
-	list($tot_aventi)  = $db->sql_fetchrow($res);
-
-	$res = $db->sql_query("select sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
+	$sql="select sum(t1.maschi+t1.femmine)   from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($tot_aventi)  = $res->rowCount();
+
+	$sql="select sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
 		sum(t1.validi),sum(t1.nulli),sum(t1.bianchi),sum(t1.contestati), '0', '0', '0'
- 		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos");
+ 		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and validi>0 $circos";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 
 	}else{
-	$res = $db->sql_query("SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'");
-	list($tot_aventi)  = $db->sql_fetchrow($res);
-		$res = $db->sql_query("SELECT  sum(validi+nulli+bianchi+contestati) as tot,
+	$sql="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($tot_aventi)  = $res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT  sum(validi+nulli+bianchi+contestati) as tot,
 		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo, sum(si), sum(no)
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>'0'");
+		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>'0'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	}
 
-	while (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id,$si,$no) = $db->sql_fetchrow($res)){
+	while (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id,$si,$no) = $res->fetch(PDO::FETCH_NUM)){
 		$tot_votanti=$validi+$bianchi+$nulli+$contestati;
 		$arvoti=array($validi,$nulli,$bianchi,$contestati);
@@ -1139,6 +1277,8 @@
 
 		if ($genere==0) {
-			$resg = $db->sql_query("SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id");
-			list($num_gruppo,$descr_gruppo)  = $db->sql_fetchrow($resg);
+			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
+	$resg = $dbi->prepare("$sql");
+	$resg->execute();
+			list($num_gruppo,$descr_gruppo)  = $resg->fetch(PDO::FETCH_NUM);
 		}
 		  
@@ -1185,6 +1325,8 @@
 function graf_sezioni(){
 global  $prefix, $dbi,$id_cons_gen;
-$sql = mysql_query("select chiusa  from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'",$dbi);
-		list($chiusa) = mysql_fetch_row($sql);
+$sql = "select chiusa  from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+		list($chiusa) = $res->fetch(PDO::FETCH_NUM);
 		
 		//if($chiusa!='1') numeri_sezione(); # se la consultazione non Ãš chiusa
@@ -1207,15 +1349,19 @@
 
 		# numero sezioni
-		$res = mysql_query("select t1.id_sez,t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos order by t1.num_sez",$dbi);
-		$max = mysql_num_rows($res);
+		$sql="select t1.id_sez,t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos order by t1.num_sez";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+		$max = $res->rowCount();
 		if(!isset($html)) $html='';
 		$html = "\n<table  style=\"margin:0px auto;border:0px; width:90%\"><tr>";
 		
 		$i=0;$id_circ_old=0;$e=0;
-		while(list($sez_id, $sez_num) = mysql_fetch_row($res)) {
+		while(list($sez_id, $sez_num) = $res->fetch(PDO::FETCH_NUM)) {
 			$i++;
 
-			 $res2 = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where   id_sez='$sez_id'",$dbi);
-			 $numero=mysql_num_rows($res2); 
+			$sql="select *  from ".$prefix."_ele_voti_".$tab." where   id_sez='$sez_id'";
+			$res2 = $dbi->prepare("$sql");
+			$res2->execute();
+			$numero=$res2->rowCount(); 
 			 if ($numero!=0){$e++;$bgsez="#FFFF00";}else{$bgsez="";}
 			
Index: trunk/client/temi/Futura2/index.php
===================================================================
--- trunk/client/temi/Futura2/index.php	(revision 264)
+++ trunk/client/temi/Futura2/index.php	(revision 265)
@@ -8,5 +8,5 @@
 
 $nometema=$tema;
-require_once("class/db/db.php"); //classe db
+#require_once("class/db/db.php"); //classe db
 global $tema,$id_comune,$descr_cons,$genere,$tipo_cons,$multicomune;
 
@@ -19,6 +19,9 @@
 # descrizione comune
 if(!$id_comune or $id_comune=='') $id_comune=$siteistat;
-$res = $db->sql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ");
-list($descr_com) = $db->sql_fetchrow($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+list($descr_com) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -27,5 +30,5 @@
 ####################################
 
-global $op,$tema,$db,$nometema,$file,$bgcolor,$sitename,$dbi,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
+global $op,$tema,$dbi,$nometema,$file,$bgcolor,$sitename,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
 
 include("temi/$tema/function_theme.php");
@@ -35,6 +38,9 @@
 $logo= "<img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_comune=".$id_comune."\" alt=\"logo\" width=\"70\" align=\"left\"/>";
 
-$res = $db->sql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ");
-	list($descr_com) = $db->sql_fetchrow($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 
@@ -91,6 +97,9 @@
 
 
-	$res = $db->sql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ); 
-	$esiste=$db->sql_numrows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc"; 
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	
+	$esiste=$res->rowCount();
 
 		echo " <form  method=\"post\" action=\"modules.php\">
@@ -102,5 +111,5 @@
 		onchange=\"javascript:top.location.href='modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen='+this.options[this.options.selectedIndex].value\">";
 	
-	    while(list($id,$descrizione) = $db->sql_fetchrow($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		$descrizione=substr(str_replace("+"," ",$descrizione),0,30);
      		$sel = ($id == $id_cons_gen) ? "selected=\"selected\"":"";		
@@ -263,5 +272,5 @@
 
 function grafvotanti_mob(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	
@@ -274,5 +283,5 @@
 # gruppo per menu grafica
 function grafgruppo(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	graf_gruppo_mob();	
@@ -284,5 +293,5 @@
 # gruppo per menu grafica
 function grafsezione(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	graf_sezioni();
@@ -348,5 +357,5 @@
 
 function votanti_mob(){
-	global $tema,$db,$prefix,$colortheme;
+	global $tema,$dbi,$prefix,$colortheme;
 	echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
 	votanti_tabella();
@@ -388,5 +397,5 @@
 ###############################################
 # scelta comune in caso di multicomune tema
-global $multicomune,$tema,$prefix,$db,$colortheme,$id_cons_gen,$info,$id_comune,$rss;
+global $multicomune,$tema,$prefix,$dbi,$colortheme,$id_cons_gen,$info,$id_comune,$rss;
 
 echo "<center>
@@ -399,8 +408,8 @@
 	{
 
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-		
-	      $rescomu= $db->sql_query($sqlcomu);
-	      $esiste_multi=$db->sql_numrows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+				$rescomu = $dbi->prepare("$sql");
+				$rescomu->execute();
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		
@@ -411,6 +420,6 @@
 			<option>Scegli il comune</option>";
 	
-		while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
-			   // $sel=($id == $id_comune) ? "selected=\"selected\"":"";
+		while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
+			   $sel=($id == $id_comune) ? "selected=\"selected\"":"";
 			    echo "<option value=\"$id\" $sel >$descrizione</option>";
 			}
@@ -423,5 +432,5 @@
 # colore del tema
 # la variabile rss, non usta in questo tema, Ãš stata presa in prestito per determinare il colore del tema
-
+$selez='';
 		echo "<select name=\"rss\" data-native-menu=\"false\"  > ";
 		echo "<option>Scegli il colore del tema</option>";			       
@@ -441,5 +450,5 @@
 ###############################################
 # scelta comune in caso di multicomune tema
-global $tema,$db,$prefix,$colortheme,$id_comune,$descr_com;
+global $tema,$dbi,$prefix,$colortheme,$id_comune,$descr_com;
 
 		echo '<ul data-role="listview" data-inset="true" data-divider-theme="'.$colortheme.'">';
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 264)
+++ trunk/client/temi/altro/menu.php	(revision 265)
@@ -14,10 +14,14 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com)=mysql_fetch_row($rescomu);
-	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($descr_com)=$rescomu->fetch(PDO::FETCH_NUM);
+	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         echo "\n";
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width=100%;"><tr><td>
@@ -39,7 +43,9 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
+	      $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+			$rescomu = $dbi->prepare("$sql");
+			$rescomu->execute();
+
+	      $esiste_multi=$rescomu->rowCount();
 	      if ($esiste_multi>=1) {
 		    echo " <li class=\"dropdown\">
@@ -48,5 +54,5 @@
 			   <ul class=\"drop-nav\">";
 			
-		      while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		      while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">
     <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\"> $descrizione</a></li>";
@@ -63,6 +69,9 @@
 	***********************************/
        
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste=$res->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {
@@ -71,5 +80,5 @@
 	     <ul class=\"drop-nav\">";
 	 
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
 	      ".substr($descrizione,0,60)."</a></li>";
@@ -112,6 +121,9 @@
 		***********************************/
 
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+ 	$sql="SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($num_circ) = $res->fetch(PDO::FETCH_NUM);
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
@@ -141,6 +153,9 @@
 			}
       		}
-                $resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
-                list($chiusa)=mysql_fetch_row($resc);
+                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+	$resc = $dbi->prepare("$sql");
+	$resc->execute();
+
+                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
 
                 if ($hondt>=1 and $chiusa==1) {
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 264)
+++ trunk/client/temi/blog/menu.php	(revision 265)
@@ -14,10 +14,14 @@
 Funzione Menu a cascata
 *************************/
-	$sqlcomu="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($descr_com)=mysql_fetch_row($rescomu);
-	$sqlcomu="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
-	$rescomu= mysql_query("$sqlcomu",$dbi);
-	list($fascia)=mysql_fetch_row($rescomu);
+	$sql="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($descr_com)=$rescomu->fetch(PDO::FETCH_NUM);
+	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+
+	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
 	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
@@ -38,8 +42,10 @@
 	if ($multicomune=='1')
 	{
-	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
-	      $rescomu= mysql_query("$sqlcomu",$dbi);
-	      $esiste_multi=mysql_num_rows($rescomu);
-	      if ($esiste_multi>=1) {
+	    $sql="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa!='2' group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		$rescomu = $dbi->prepare("$sql");
+		$rescomu->execute();
+
+	    $esiste_multi=$rescomu->rowCount();
+	    if ($esiste_multi>=1) {
 		    echo " <li class=\"dropdown\">
 				<a href=\"#\"><strong>"._COMUNI."</strong></a>
@@ -47,5 +53,5 @@
 			   <ul class=\"drop-nav\">";
 			
-		      while (list($id,$descrizione,)=mysql_fetch_row($rescomu)){
+		      while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">
     <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\"> $descrizione</a></li>";
@@ -62,6 +68,9 @@
 	***********************************/
        
-	$res = mysql_query("SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" , $dbi); 
-	$esiste=mysql_num_rows($res);
+	$sql="SELECT t1.id_cons_gen,t1.descrizione FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' and t2.chiusa!='2' order by t1.data_fine desc" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+ 
+	$esiste=$res->rowCount();
 	//se esiste consultazione fa vedere i dati
 	if ($esiste>=1) {
@@ -70,5 +79,5 @@
 	     <ul class=\"drop-nav\">";
 	 
-	    while(list($id,$descrizione) = mysql_fetch_row($res)) {
+	    while(list($id,$descrizione) = $res->fetch(PDO::FETCH_NUM)) {
 		echo "<li class=\"icon matita\"><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id_comune&amp;file=index&amp;id_cons_gen=$id\">
 	      ".substr($descrizione,0,60)."</a></li>";
@@ -111,6 +120,9 @@
 		***********************************/
 
- 	$res = mysql_query("SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ", $dbi);
-	list($num_circ) = mysql_fetch_row($res);
+ 	$sql="SELECT count(0) FROM ".$prefix."_ele_circoscrizione where id_cons='$id_cons' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($num_circ) = $res->fetch(PDO::FETCH_NUM);
        	 echo " <li class=\"dropdown\"><a href=\"#\"><strong>"._RISULTATI."</strong></a>
 	     <ul class=\"drop-nav\">";
@@ -140,6 +152,9 @@
 			}
       		}
-                $resc = mysql_query("SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" , $dbi);
-                list($chiusa)=mysql_fetch_row($resc);
+                $sql="SELECT chiusa FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+				$resc = $dbi->prepare("$sql");
+				$resc->execute();
+
+                list($chiusa)=$resc->fetch(PDO::FETCH_NUM);
 
                 if ($hondt>=1 and $chiusa==1) {
